package com.goomood.phm.service;

import java.util.List;
import java.util.Map;

import com.goomood.phm.domain.FaultMonitor;

/**
 * 故障监控Service接口
 * 
 * @author goomood
 * @date 2024-11-17
 */
public interface IFaultMonitorService 
{
    /**
     * 查询故障监控
     * 
     * @param id 故障监控主键
     * @return 故障监控
     */
    public FaultMonitor selectFaultMonitorById(Long id);

    /**
     * 查询故障监控列表
     * 
     * @param faultMonitor 故障监控
     * @return 故障监控集合
     */
    public List<FaultMonitor> selectFaultMonitorList(FaultMonitor faultMonitor);

    /**
     * 新增故障监控
     * 
     * @param faultMonitor 故障监控
     * @return 结果
     */
    public int insertFaultMonitor(FaultMonitor faultMonitor);

    /**
     * 修改故障监控
     * 
     * @param faultMonitor 故障监控
     * @return 结果
     */
    public int updateFaultMonitor(FaultMonitor faultMonitor);

    /**
     * 批量删除故障监控
     * 
     * @param ids 需要删除的故障监控主键集合
     * @return 结果
     */
    public int deleteFaultMonitorByIds(Long[] ids);

    /**
     * 删除故障监控信息
     * 
     * @param id 故障监控主键
     * @return 结果
     */
    public int deleteFaultMonitorById(Long id);



    /**
     * 三个月未处理的故障条数
     * @return
     */
    int getUnprocessedFaultCount();

    String importFaultMonitor(List<FaultMonitor> faultMonitors);
}
